com.r3corda.node.services.clientapi / NodeInterestRates / Oracle

# Oracle

`class Oracle`

An implementation of an interest rate fix oracle which is given data in a simple string format.

The oracle will try to interpolate the missing value of a tenor for the given fix name and date.

### Constructors

<init> | `Oracle(identity: Party, signingKey: KeyPair, clock: Clock)` An implementation of an interest rate fix oracle which is given data in a simple string format.

### Properties

clock | `val clock: Clock`
identity | `val identity: Party`
knownFixes | `var knownFixes: FixContainer`

### Functions

query | `fun query(queries: List<FixOf>, deadline: Instant): List<Fix>` This method will now wait until the given deadline if the fix for the given FixOf is not immediately available. To implement this, readWithDeadline will loop if the deadline is not reached and we throw UnknownFix as it implements RetryableException which has special meaning to this function.
sign | `fun sign(wtx: WireTransaction): LegallyIdentifiable`